Bug 1330108 - FTBFS: Makefile:226: recipe for target 'testinstall' failed
Summary: FTBFS: Makefile:226: recipe for target 'testinstall' failed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gap
Version: 24
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-04-25 12:18 UTC by Karsten Hopp
Modified: 2016-05-12 01:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-12 01:30:17 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2016-04-25 12:18:53 UTC
Description of problem:
+ make testinstall
mkdir -p dev/log
( echo 'SetUserPreference("UseColorsInTerminal",false); \
        ReadGapRoot( "tst/testutil.g" ); \
            ReadGapRoot( "tst/testinstall.g" );' | ./bin/gap-default64.sh -b -m 100m -o 1g -A -q -x 80 -r -l /builddir/build/BUILD/gap4r8  > \
            `date -u +dev/log/testinstall1_%Y-%m-%d-%H-%M` )
Makefile:226: recipe for target 'testinstall' failed
RPM build errors:
make: *** [testinstall] Error 1

Version-Release number of selected component (if applicable):
gap-4.8.3-1.fc24

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f24 gap-4.8.3-1.fc24
2.
3.

Comment 1 Dan Horák 2016-04-27 07:31:07 UTC
could be a big endian related problem

Comment 2 Dan Horák 2016-04-27 07:37:08 UTC
- ppc64le is not affected, but s390(x) is, so only big endian arches
- 4.7.9 builds fine on all arches

Comment 3 Jerry James 2016-04-27 14:14:29 UTC
That's good to know.  I got a ppc64 VM built last night, but didn't have time to actually try the gap build.  I will attempt to do that in the next few days, and hopefully gdb will point to the problem.

Comment 4 Fedora Update System 2016-05-06 01:17:57 UTC
gap-4.8.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4492291142

Comment 5 Dan Horák 2016-05-06 06:51:25 UTC
Thanks, fixed on s390(x) - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2215698

Comment 6 Fedora Update System 2016-05-06 11:26:26 UTC
gap-4.8.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4492291142

Comment 7 Fedora Update System 2016-05-12 01:30:14 UTC
gap-4.8.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.